# Class CIM_HostedRoutingPolicy
extends CIM_HostedDependency

A RoutingPolicy is weak to the network device (i.e., the ComputerSystem) that contains it. This association formalizes that relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedRoutingPolicy

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A RoutingPolicy is weak to the network device (i.e., the ComputerSystem) that contains it. This association formalizes that relationship.
UMLPackagePath | string | CIM::Network::RoutingForwarding
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedRoutingPolicy | CIM_ComputerSystem
Dependent | CIM_HostedRoutingPolicy | CIM_RoutingPolicy

## Class Methods